<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom">
  <channel>
    <title>Introduction on Scaling QC with Graph Rewriting</title>
    <link>http://localhost:1313/01_intro/</link>
    <description>Recent content in Introduction on Scaling QC with Graph Rewriting</description>
    <generator>Hugo</generator>
    <language>en-gb</language>
    <atom:link href="http://localhost:1313/01_intro/index.xml" rel="self" type="application/rss+xml" />
    <item>
      <title>A new compilation regime</title>
      <link>http://localhost:1313/01_intro/seccompilation/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      <guid>http://localhost:1313/01_intro/seccompilation/</guid>
      <description>&lt;p&gt;We have introduced quantum compilation by drawing an analogy with the&#xA;well-developed field of classical compilers. The novel directions in which&#xA;quantum compilation is taking the field make for exciting new challenges. Three&#xA;new quantum-specific properties of compilation form the core motivation for this&#xA;work.&lt;/p&gt;&#xA;&lt;h4 id=&#34;large-variations-in-architecture&#34;&gt;&#xA;  Large variations in architecture&#xA;  &lt;a class=&#34;anchor&#34; href=&#34;#large-variations-in-architecture&#34;&gt;#&lt;/a&gt;&#xA;&lt;/h4&gt;&#xA;&lt;p&gt;The vast differences between proposed hardware architectures are a first&#xA;distinguishing characteristic of current quantum computing developments. Unlike&#xA;classical computing, where silicon-based transistors have become the definitive&#xA;physical foundation for all electronic chips, the search for the most scalable&#xA;and reliable technology for quantum computing is ongoing&amp;nbsp;&amp;ndash;&amp;nbsp;and doubtless one of&#xA;the most burning questions for the nascent industry. This introduces an&#xA;incredible variety of compilation problems.&lt;/p&gt;</description>
    </item>
    <item>
      <title>Contributions and thesis outline</title>
      <link>http://localhost:1313/01_intro/seccontributions/</link>
      <pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate>
      <guid>http://localhost:1313/01_intro/seccontributions/</guid>
      <description>&lt;h4 id=&#34;preliminaries&#34;&gt;&#xA;  Preliminaries&#xA;  &lt;a class=&#34;anchor&#34; href=&#34;#preliminaries&#34;&gt;#&lt;/a&gt;&#xA;&lt;/h4&gt;&#xA;&lt;p&gt;The thesis starts in &lt;span&gt;chapter &lt;/span&gt;&lt;a href=&#34;#chap:basics&#34;&gt;2&lt;/a&gt; with a review of the main&#xA;concepts on which the rest of the thesis is built. Aside from a short&#xA;introduction to quantum computations (&lt;span&gt;section &lt;/span&gt;&lt;a href=&#34;#sec:basics&#34;&gt;2.1&lt;/a&gt;) and a survey&#xA;of the major quantum circuit optimisation techniques&#xA;(&lt;span&gt;section &lt;/span&gt;&lt;a href=&#34;#sec:quantum-sota&#34;&gt;2.2&lt;/a&gt;), this chapter makes two observations that&#xA;impart a research direction to the rest of the thesis:&lt;/p&gt;&#xA;&lt;ol&gt;&#xA;&lt;li&gt;The emergence of hybrid quantum-classical computations is rendering the&#xA;quantum circuit obsolete as the main representation of quantum computations&#xA;within compilers (&lt;span&gt;section &lt;/span&gt;&lt;a href=&#34;#sec:hybrid&#34;&gt;2.3&lt;/a&gt;).&lt;/li&gt;&#xA;&lt;li&gt;The best optimisation outcomes will combine classical and quantum compiler&#xA;optimisations. This can be achieved by adopting abstractions that are&#xA;interoperable with classical compiler infrastructure&#xA;(&lt;span&gt;section &lt;/span&gt;&lt;a href=&#34;#sec:need-help&#34;&gt;2.4&lt;/a&gt;).&lt;/li&gt;&#xA;&lt;/ol&gt;&#xA;&lt;h4 id=&#34;a-graph-transformation-formalism-for-quantum-computations&#34;&gt;&#xA;  A graph transformation formalism for quantum computations&#xA;  &lt;a class=&#34;anchor&#34; href=&#34;#a-graph-transformation-formalism-for-quantum-computations&#34;&gt;#&lt;/a&gt;&#xA;&lt;/h4&gt;&#xA;&lt;p&gt;&lt;span&gt;Chapters &lt;/span&gt;&lt;a href=&#34;#chap:compiler&#34;&gt;3&lt;/a&gt;, &lt;a href=&#34;#chap:matching&#34;&gt;4&lt;/a&gt;, and &lt;a href=&#34;#chap:parallel&#34;&gt;5&lt;/a&gt; form the&#xA;core of this thesis and present our main contributions. The results in&#xA;&lt;span&gt;chapter &lt;/span&gt;&lt;a href=&#34;#chap:compiler&#34;&gt;3&lt;/a&gt; are crucial stepping stones for the rest of the&#xA;thesis. &lt;span&gt;Chapters &lt;/span&gt;&lt;a href=&#34;#chap:matching&#34;&gt;4&lt;/a&gt; and &lt;a href=&#34;#chap:parallel&#34;&gt;5&lt;/a&gt; meanwhile&#xA;present our most significant contributions to the state of the art.&lt;/p&gt;</description>
    </item>
  </channel>
</rss>
